Page MenuHomePhabricator

Set up RESTBase on Cassandra 3 nodes
Closed, ResolvedPublic

Description

For simplicity, during the migration process from Cassandra 2 to Cassandra 3, we have kept RESTBase running only on the legacy nodes, while the freshly-reimaged nodes contain only Cassandra 3 instances. Since now the cluster is at 50% Cass 2 vs Cassandra 3 and we will be migrating the last use case (Mathoid) to Cassandra 3, we need to set up RESTBase on the new nodes as well to ease the transition.

Event Timeline

mobrovac triaged this task as High priority.Jan 3 2018, 7:26 PM
mobrovac created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 7:26 PM

Change 401784 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] RESTBase: Set up RESTBase for the production_ng role as well

https://gerrit.wikimedia.org/r/401784

Change 401784 merged by Filippo Giunchedi:
[operations/puppet@production] RESTBase: Set up RESTBase for the production_ng role as well

https://gerrit.wikimedia.org/r/401784

Change 403129 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Scap: Add back all of the targets

https://gerrit.wikimedia.org/r/403129

Change 403133 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] RESTBase: Add LVS pools to the production_ng role

https://gerrit.wikimedia.org/r/403133

Change 403133 merged by Filippo Giunchedi:
[operations/puppet@production] RESTBase: Add LVS pools to the production_ng role

https://gerrit.wikimedia.org/r/403133

Change 403129 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Scap: Add back all of the targets

https://gerrit.wikimedia.org/r/403129

Mentioned in SAL (#wikimedia-operations) [2018-01-09T13:00:09Z] <mobrovac@tin> Started deploy [restbase/deploy@837f5a9]: Force deploy on all targets - T184110

Mentioned in SAL (#wikimedia-operations) [2018-01-09T13:07:31Z] <mobrovac@tin> Finished deploy [restbase/deploy@837f5a9]: Force deploy on all targets - T184110 (duration: 07m 23s)

mobrovac closed this task as Resolved.Jan 9 2018, 1:11 PM
mobrovac edited projects, added Services (done); removed Services (doing), Patch-For-Review.

RESTBase is now alive and kicking on all nodes. Resolving.

Eevans awarded a token.Jan 9 2018, 2:51 PM